Odin

List MP product information

Leverages product information provided by WebBO.

get
https://api.migros.ch/migrospartner/products/odin/v1/product

Query Parameters

searchstring

Will check for product name or product_id and GTIN match, must be at lease 3 characters

storeIDstring

The store in which the product is getting searched.

Response

200 application/json

List of products

MofipProduct is the Migros-Partner/VOI (MP-VOI) API Modell for Mofip to read from. As Mofip does not integrate the Data from the MP-VOI interface which is provided by Zucchetti GmbH called WebBO, we as the middlelayer leverage the API to read the data from.

categorystringrequired

Category is the BoSS Number which declares in which segment the product is. Schinken is Fleisch = 04 is an example, we know later.

Example:050115240505

gtinstringrequired

GTIN is the fka EAN. (eg. Barcode)

Example:2124307000001

product_idstringrequired

ProductID is the WebBO specific product-id.

Example:275700501000

product_namestringrequired

ProductName represents the Name of the product that has been saved in WebBO.

Example:Blumenkohl

show_originboolean

Origin tells the caller if this product needs additional input from the store-employee about the origin.

Example:false

show_wildfangboolean

Wildfang tells the caller, if the product needs additional input from the store-employee about the fangzone.

Example:false

get/migrospartner/products/odin/v1/product
 
200 application/json

Process MP product upload

Processes a product upload, which is sent by SAP PI. This route is temporary.

post
https://api.migros.ch/migrospartner/products/odin/v1/product

Body

application/xml

SAP XML Upload

Response

200

OK

post/migrospartner/products/odin/v1/product

Body

{}
 
200

Get MP product information

Will look for a product in a specific store (storeID)

get
https://api.migros.ch/migrospartner/products/odin/v1/products/{storeID}/{productID}

Path Parameters

storeIDstringrequired

The store in which the product is getting searched.

productIDstringrequired

The id of the product.

Response

200 application/json

Product

MofipProduct

MofipProduct is the Migros-Partner/VOI (MP-VOI) API Modell for Mofip to read from. As Mofip does not integrate the Data from the MP-VOI interface which is provided by Zucchetti GmbH called WebBO, we as the middlelayer leverage the API to read the data from.

categorystringrequired

Category is the BoSS Number which declares in which segment the product is. Schinken is Fleisch = 04 is an example, we know later.

Example:050115240505

gtinstringrequired

GTIN is the fka EAN. (eg. Barcode)

Example:2124307000001

product_idstringrequired

ProductID is the WebBO specific product-id.

Example:275700501000

product_namestringrequired

ProductName represents the Name of the product that has been saved in WebBO.

Example:Blumenkohl

show_originboolean

Origin tells the caller if this product needs additional input from the store-employee about the origin.

Example:false

show_wildfangboolean

Wildfang tells the caller, if the product needs additional input from the store-employee about the fangzone.

Example:false

get/migrospartner/products/odin/v1/products/{storeID}/{productID}
 
200 application/json

ESL-Migrolino

Create a pairing between store, product and label.

This is where we “pair” the holy trinity.

post
https://api.migros.ch/migrolino/products/odin/v1/label

Body

application/json

LabelRequest

A label represents the meta data object to link a store, product and a label together. TODO maybe add @product

labelIDstringrequired

Is the label unique identifier

>= 12 characters<= 12 characters

productIDstringrequired

Is the SAP ID of a product. Note - Not a GTIN.

>= 12 characters<= 12 characters

showDeliveryInterruptionboolean

Indicates if ther product has a delivery-interruption.

showNeuboolean

Indicates if a label should show the “Neu Beam”.

showNoReorderboolean

indicates if a product shouldn’t be reordered.

showSeason

indicates if a product should show the “Saison Beam”

storeIDstringrequired

Is the migros default way of identifiying stores. Note - Consists of 7 digits

>= 7 characters<= 7 characters

Response

application/json

Returns a single label

LabelResponse

A label represents the meta data object to link a store, product and a label together. TODO maybe add @product

labelIDstringrequired

Is the label unique identifier

>= 12 characters<= 12 characters

productobjectrequired

On a linked Migrolino label, we also return its product.

Show Child Parameters
productIDstringrequired

Is the SAP ID of a product. Note - Not a GTIN.

>= 12 characters<= 12 characters

storeIDstringrequired

Is the migros default way of identifiying stores. Note - Consists of 7 digits

>= 7 characters<= 7 characters

post/migrolino/products/odin/v1/label

Body

{ "labelID": "labelID", "productID": "productID", "storeID": "storeID" }
 
application/json